| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Search
Search.Utils
Search.Utils.ProfileCache

# Method Search.Utils.ProfileCache()->up_to_datep()

Method up_to_datep

  `int(-1..1) up_to_datep(int profile_id)`

Description

  Checks if the profile profile_id has been changed, and clears related caches if so.

Returns

  `-1` | The profile is deleted.
  `0` | The profile is not up to date.
  `1` | The profile is up to date.